
{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "p_layout.html" %}
{% block content %}
<link href="{{ url_for('static', filename='pa/css/jquery.dataTables.min.css') }}" rel="stylesheet" media="screen">

<script src="{{url_for('static', filename='pa/js/jquery-3.3.1.js') }}"></script>

<script type="text/javascript">$(document).ready(function() {
    $('#example').DataTable( {
        "scrollX": true
    } );
} );</script>
<a class="btn btn-warning" href="/panel/tutorials/add/" role="button"><i class="fas fa-plus"></i>Add New Tutorial</a><br>
 <center>
{% if error %}
<p class=error><strong>Error:</strong> {{ error }}
{% endif %}
<br>
{% with messages = get_flashed_messages(with_categories=true) %}
{% if messages %}
<div class="alert alert-{{ messages.0.0 }}" role="alert">
{% for category, message in messages %}
{{ message }} </br>
{% endfor %}
*</div>
{% endif %}
{% endwith %}
</center><br>
<table id="example" class="display" style="width:100%">
        <thead>
            <tr>
                <th>Image</th>
                <th>Title</th>
                <th>Time</th>
                <th>Edit</th>
              
            </tr>
        </thead>
        <tbody>
          {% for tutorial in tutorials %}
            <tr>
                <td><img class="thumbnail img-responsive rounded-circle" width="100" height="100" src="{{ tutorial.img }}"/></td>
                <td>{{ tutorial.title }}</td>
                <td>{{ tutorial.tuto_time }}</td>
                <td><a href="{{ url_for('panel.edittuto', tutorials_id=tutorial.id) }}" class="fa fa-edit" aria-hidden="true"></a> || <a href="{{ url_for('panel.deltuto', id=tutorial.id) }}" class="fa fa-trash" onclick="return confirm('Are You Sure For Delete?')"></td>
            </tr>
         {% endfor %}
        </tbody>
    </table>
    {% endblock content %}

    <a href="{{ url_for('panel.edittuto', tutorials_id=tutorial.id) }}">